Bug 177180

Summary: ports-mgmt/portshaker not aware of pkgng format
Product: Ports & Packages Reporter: Beeblebrox <zaphod>
Component: Individual Port(s)Assignee: Romain Tartière <romain>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
portshaker.diff
none
patch-portshaker.subr.in.diff
none
file.dat none

Description Beeblebrox 2013-03-21 08:50:00 UTC
pkgng objects by showing a lot of error messages when merging the ports trees from several sources when using ports-mgmt/portshaker for the job. The messages show that portshaker is using the "legacy format" of package in the script:

"pkg_version: You appear to be using the newer pkg(1) tool on this system for package management, rather than the legacy package management tools (pkg_*).  The legacy tools should no longer be used on this system."

ports-mgmt/portshaker needs to be updated and become pkgng aware.

Fix: 

NA
How-To-Repeat: use ports-mgmt/portshaker
Comment 1 Edwin Groothuis freebsd_committer 2013-03-21 08:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->romain

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Romain Tartière freebsd_committer 2013-04-01 15:15:59 UTC
State Changed
From-To: open->feedback

A patch has been submitted to the BSD# repository: 
https://code.google.com/p/bsd-sharp/source/detail?r=1259 

Can you please confirm it is okay? Thanks!
Comment 3 Romain Tartière 2013-04-09 18:46:25 UTC
Hi!

On Sun, Apr 07, 2013 at 10:14:00AM +0300, Beeblebrox wrote:
> Hi - just got around to trying, here are results:
> 1. marcuscom gives error. I have no idea where "space" is located (in the
> context of this error message):  updating gnome-devel
> cvs update: failed to create lock directory for
> `/space/cvs/marcuscom-cvs/ports'
> (/space/cvs/marcuscom-cvs/ports/#cvs.lock): Permission denied
> cvs update: failed to obtain dir lock in repository
> `/space/cvs/marcuscom-cvs/ports'
> cvs [update aborted]: read lock failed - giving up


I guess this is related to the switch to svn: I though the GNOME Team
would keep cvs up for a while but they didn't.  I have just pushed an
update in the portshaker repository.

http://code.google.com/p/bsd-sharp/source/detail?r=1260

> 2. Still getting conflict message
> "pkg_version: You appear to be using the newer pkg(1) tool on this system
> for package management, rather than the legacy package management tools
> (pkg_*).  The legacy tools should no longer be used on this system."


May I ask you to update portshaker to incude the recent change related
to MarcusCom and provide the output of:

    make -f "/etc/make.conf" -V WITH_PKGNG

(should be 'yes' or something like that) and the output of

    portshaker -vv [whatever arguments you used]

around the error message you are reporting.

Thanks!

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8234 9A78 E7C0 B807 0B59  80FF BA4D 1D95 5112 336F (ID: 0x5112336F)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 4 Romain Tartière 2013-04-09 18:51:07 UTC
On Tue, Apr 09, 2013 at 07:46:24PM +0200, Romain Tartière wrote:
> May I ask you to update portshaker to incude the recent change related
> to MarcusCom and provide the output of:


Because of the switch from CVS to SVN, it is safer to remove
/var/cache/portshaker/marcuscom*

Regarding portshaker update:

svn up
env PREFIX=/usr/local make
env PREFIX=/usr/local make install
cd examples
env PREFIX=/usr/local WITH_MARCUSCOM=1 make
env PREFIX=/usr/local WITH_MARCUSCOM=1 make install

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8234 9A78 E7C0 B807 0B59  80FF BA4D 1D95 5112 336F (ID: 0x5112336F)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 5 dfilter service freebsd_committer 2014-01-18 16:35:20 UTC
Author: romain
Date: Sat Jan 18 16:35:12 2014
New Revision: 340193
URL: http://svnweb.freebsd.org/changeset/ports/340193
QAT: https://qat.redports.org/buildarchive/r340193/

Log:
  Update to 1.0.9.
  
  This long overdue release fixes the MarcusCom repository configuration and
  brings pkgng support.
  
  PR:		ports/177180 [1], ports/179495 [2]
  Submitted by:	Beeblebrox <zaphod@berentweb.com> [1]
  Submitted by:	Koop Mast <kwm@FreeBSD.org> [2]

Modified:
  head/ports-mgmt/portshaker/Makefile
  head/ports-mgmt/portshaker/distinfo

Modified: head/ports-mgmt/portshaker/Makefile
==============================================================================
--- head/ports-mgmt/portshaker/Makefile	Sat Jan 18 15:55:42 2014	(r340192)
+++ head/ports-mgmt/portshaker/Makefile	Sat Jan 18 16:35:12 2014	(r340193)
@@ -2,16 +2,20 @@
 # $FreeBSD$
 
 PORTNAME?=	portshaker
-PORTVERSION=	1.0.8
+PORTVERSION=	1.0.9
 PORTREVISION?=	0
 CATEGORIES?=	ports-mgmt
-MASTER_SITES=	http://bsd-sharp.googlecode.com/files/ \
-		http://romain.blogreen.org/distfiles/
 DISTNAME=	portshaker-${PORTVERSION}
 
 MAINTAINER?=	romain@FreeBSD.org
 COMMENT?=	Maintain ports tree using multiple sources
 
+USE_GITHUB=	yes
+GH_ACCOUNT=	smortex
+GH_PROJECT=	portshaker
+GH_TAGNAME=	v${PORTVERSION}
+GH_COMMIT=	4b9cdfe
+
 .if ${PORTNAME} == "portshaker"
 OPTIONS_DEFINE=	RSYNC SVN GIT HG
 OPTIONS_DEFAULT=	RSYNC SVN

Modified: head/ports-mgmt/portshaker/distinfo
==============================================================================
--- head/ports-mgmt/portshaker/distinfo	Sat Jan 18 15:55:42 2014	(r340192)
+++ head/ports-mgmt/portshaker/distinfo	Sat Jan 18 16:35:12 2014	(r340193)
@@ -1,2 +1,2 @@
-SHA256 (portshaker-1.0.8.tar.gz) = fa9cb7a856cfc21f00e4f4e94c402c372c7d617230d13f25511eeee7c7569673
-SIZE (portshaker-1.0.8.tar.gz) = 27728
+SHA256 (portshaker-1.0.9.tar.gz) = 2b26caeb7f002151d424726951efdfdf7fcb0da9fa044f2dfa849a6d0aca43d6
+SIZE (portshaker-1.0.9.tar.gz) = 20306
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Romain Tartière freebsd_committer 2014-01-18 16:36:19 UTC
State Changed
From-To: feedback->closed

Fix committed.  Thanks!
Comment 7 whatexercise 2014-04-17 13:43:19 UTC
The fix fails on the now common case of default FreeBSD 10 install where WITH_PKGNG does not exist in /etc/make.conf

Following patch to portshaker.subr.in corrects this issue.
Comment 8 Romain Tartière freebsd_committer 2014-05-06 10:07:07 UTC
State Changed
From-To: closed->patched

Patch applied to my local repo. 

Will push that soon and release a new portshaker version after. 

Thanks!
Comment 9 dfilter service freebsd_committer 2014-05-06 11:09:04 UTC
Author: romain
Date: Tue May  6 10:09:00 2014
New Revision: 353082
URL: http://svnweb.freebsd.org/changeset/ports/353082
QAT: https://qat.redports.org/buildarchive/r353082/

Log:
  Update to 1.0.10.
  
  - Rework pkgng detection [1,2];
  - Add support for source+ syntax [2];
  - Modernize poudriere ports tree locations [2].
  
  PR:		ports/177180 [1]
  Submitted by:	Beeblebrox <zaphod@berentweb.com> [1], Creaky <whatexercise@gmail.com> [2]

Modified:
  head/UPDATING
  head/ports-mgmt/portshaker/Makefile
  head/ports-mgmt/portshaker/distinfo

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Tue May  6 09:55:35 2014	(r353081)
+++ head/UPDATING	Tue May  6 10:09:00 2014	(r353082)
@@ -6,6 +6,17 @@ You should get into the habit of checkin
 you update your ports collection, before attempting any port upgrades.
 
 20140506:
+  AFFECTS: users of ports-mgmt/portshaker
+  AUTHOR: romain@FreeBSD.org
+
+  ports-mgmt/portshaker was updated to avoid creating an aditional 'ports'
+  subdirectory when merging to a poudriere_tree without ZFS, so that
+  portshaker's default location matches poudriere's default location.
+  
+  Users of poudriere on non-ZFS systems should not anymore have to pass extra
+  options to poudriere for it to find the ports tree.
+
+20140506:
   AFFECTS: users of security/yassl
   AUTHOR: gahr@FreeBSD.org
 

Modified: head/ports-mgmt/portshaker/Makefile
==============================================================================
--- head/ports-mgmt/portshaker/Makefile	Tue May  6 09:55:35 2014	(r353081)
+++ head/ports-mgmt/portshaker/Makefile	Tue May  6 10:09:00 2014	(r353082)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME?=	portshaker
-PORTVERSION=	1.0.9
+PORTVERSION=	1.0.10
 PORTREVISION?=	0
 CATEGORIES?=	ports-mgmt
 DISTNAME=	portshaker-${PORTVERSION}
@@ -14,7 +14,7 @@ USE_GITHUB=	yes
 GH_ACCOUNT=	smortex
 GH_PROJECT=	portshaker
 GH_TAGNAME=	v${PORTVERSION}
-GH_COMMIT=	4b9cdfe
+GH_COMMIT=	b88edd7
 
 .if ${PORTNAME} == "portshaker"
 OPTIONS_DEFINE=	RSYNC SVN GIT HG

Modified: head/ports-mgmt/portshaker/distinfo
==============================================================================
--- head/ports-mgmt/portshaker/distinfo	Tue May  6 09:55:35 2014	(r353081)
+++ head/ports-mgmt/portshaker/distinfo	Tue May  6 10:09:00 2014	(r353082)
@@ -1,2 +1,2 @@
-SHA256 (portshaker-1.0.9.tar.gz) = 2b26caeb7f002151d424726951efdfdf7fcb0da9fa044f2dfa849a6d0aca43d6
-SIZE (portshaker-1.0.9.tar.gz) = 20306
+SHA256 (portshaker-1.0.10.tar.gz) = 7d9579260a24c4e5f86ff8fb38ecc47d16b324cc9aa15c41c92c6469bb761c04
+SIZE (portshaker-1.0.10.tar.gz) = 20618
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Romain Tartière freebsd_committer 2014-05-06 11:09:35 UTC
State Changed
From-To: patched->closed

Committed. Thanks!